/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kxmain.h"

void kxMain :: initCheckboxes()
{
int a = 1;
while (a <= x->sectionCount("ServerLayout"))
{
LayoutsCombo->insertItem(x->getValue("ServerLayout", a, "Identifier", 1));
a++;
}
//Server Flags
if (x->sectionCount("ServerFlags") == 0) { ServerFlagsContainer->setChecked(FALSE); }
if (x->sectionCount("ServerFlags") == 1)
{




if (x->getOption("ServerFlags", 1, "DefaultServerLayout") != "")
{
DefaultServerLayoutContainer->setChecked(TRUE);
int a = 0;
while (a <= LayoutsCombo->count())
{
if (x->getOption("ServerFlags", 1, "DefaultServerLayout") == LayoutsCombo->text(a)) { LayoutsCombo->setCurrentItem(a); break; }
a++;
}
//********************************************************************************** Checkboxes
if (x->checkOption("ServerFlags", 1, "DontZap")) { checkBox5->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "DontZoom")) { checkBox6->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "DontVTSwitch")) { checkBox9->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "AllowDeactivateGrabs")) { checkBox10->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "AllowClosedownGrabs")) { checkBox11->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "NoTrapSignals")) { checkBox12->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "AllowMouseOpenFail")) { checkBox13->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "PC98")) { checkBox14->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "NoPM")) { checkBox15->setChecked(TRUE); }
if (x->checkOption("ServerFlags", 1, "Xinerama")) { checkBox8->setChecked(TRUE); }

}

}
}

void kxMain::saveServerFlagsCheckBoxes()
{
QString y = "True";

//void saveOption(QString sectionName, int sectionNumber, QString valueName, int valueNumber, QString newValue);
//void removeOption(QString sectionName, int sectionNumber, QString OptionName);
if (checkBox5->isChecked()) { x->saveOption("ServerFlags", 1, "DontZap", 1, y); } else { x->removeOption("ServerFlags", 1, "DontZap"); }
if (checkBox6->isChecked()) { x->saveOption("ServerFlags", 1, "DontZoom", 1, y); } else { x->removeOption("ServerFlags", 1, "DontZoom"); }
if (checkBox8->isChecked()) { x->saveOption("ServerFlags", 1, "Xinerama", 1, y); } else { x->removeOption("ServerFlags", 1, "Xinerama"); }
if (checkBox9->isChecked()) { x->saveOption("ServerFlags", 1, "DontVTSwitch", 1, y); } else { x->removeOption("ServerFlags", 1, "DontVTSwitch"); }
if (checkBox10->isChecked()) { x->saveOption("ServerFlags", 1, "AllowDeactivateGrabs", 1, y); } else { x->removeOption("ServerFlags", 1, "AllowDeactivateGrabs"); }
if (checkBox11->isChecked()) { x->saveOption("ServerFlags", 1, "AllowClosedownGrabs", 1, y); } else { x->removeOption("ServerFlags", 1, "AllowClosedownGrabs"); }
if (checkBox12->isChecked()) { x->saveOption("ServerFlags", 1, "NoTrapSignals", 1, y); } else { x->removeOption("ServerFlags", 1, "NoTrapSignals"); }
if (checkBox13->isChecked()) { x->saveOption("ServerFlags", 1, "AllowMouseOpenFail", 1, y); } else { x->removeOption("ServerFlags", 1, "AllowMouseOpenFail"); }
if (checkBox14->isChecked()) { x->saveOption("ServerFlags", 1, "PC98", 1, y); } else { x->removeOption("ServerFlags", 1, "PC98"); }
if (checkBox14->isChecked()) { x->saveOption("ServerFlags", 1, "NoPM", 1, y); } else { x->removeOption("ServerFlags", 1, "NoPM"); }
}

void kxMain::defSrvLayContChange()
{
if (DefaultServerLayoutContainer->isChecked())
{
x->saveOption("ServerFlags", 1, "DefaultServerLayout", 1, LayoutsCombo->text(LayoutsCombo->currentItem()));
}
if (!DefaultServerLayoutContainer->isChecked())
{
x->removeOption("ServerFlags", 1, "DefaultServerLayout");
}


}


void kxMain::LayoutsComboSave()
{
x->saveOption("ServerFlags", 1, "DefaultServerLayout", 1, LayoutsCombo->text(LayoutsCombo->currentItem()));
}

