/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kxmain.h"

#include <qdialog.h>
#include <qpushbutton.h>
void kxMain::addModulePath()
{
QString toEnter = KFileDialog :: getExistingDirectory (QDir::homeDirPath(), this, tr("Choose modules path..."));
if (toEnter != "") { modulesPathListBox->insertItem(toEnter); }
}

void kxMain::removeModulesDir()
{
int a = modulesPathListBox->currentItem();
modulesPathListBox->removeItem(a);
modulesPathListBox->setSelected(a, TRUE);
if (a == modulesPathListBox->count()) { modulesPathListBox->setSelected(a - 1, TRUE); }
if (a == 0) { modulesPathListBox->setSelected(0, TRUE); }

}

void kxMain::addFontsDir()
{

if (customFontLineEdit->text() == "")
{
QString toEnter = KFileDialog :: getExistingDirectory (QDir::homeDirPath(), this, tr("Choose fonts path..."));
if (toEnter != "") { fontsBox->insertItem(toEnter); }
}

if (customFontLineEdit->text() != "")
{
fontsBox->insertItem(customFontLineEdit->text());
customFontLineEdit->setText("");
}

}

void kxMain::removeFontsDir()
{
int a = fontsBox->currentItem();
fontsBox->removeItem(a);
fontsBox->setSelected(a, TRUE);
if (a == fontsBox->count()) { fontsBox->setSelected(a - 1, TRUE); }
if (a == 0) { fontsBox->setSelected(0, TRUE); }
}

QString kxMain::showSrvLayDialog(int type)
{
QString toReturn = "TEST";
QDialog *dialog = new QDialog(this);
QComboBox *combo = new QComboBox(dialog);
QPushButton *ok = new QPushButton(dialog);
QPushButton *cn = new QPushButton(dialog);

dialog->setMinimumSize(300, 83);
dialog->setMaximumSize(300, 83);
combo->setGeometry(10, 10, 280, 25);
ok->setGeometry(200, 50, 90, 25);
cn->setGeometry(100, 50, 90, 25);
ok->setText(tr("OK"));
cn->setText(tr("Cancel"));
int a = 1;
connect (cn, SIGNAL(clicked()), dialog, SLOT(reject()));
connect (ok, SIGNAL(clicked()), dialog, SLOT(accept()));


if (type == 1) 
{
while (a <= x->pointerCount())
{
combo->insertItem(x->getValue("InputDevice", x->pointerTranslate(a), "Identifier", 1));
a++;
}
dialog->setCaption(tr("Add new mouse..."));
}


if (type == 2) { 
while (a <= x->kbdCount())
{
combo->insertItem(x->getValue("InputDevice", x->kbdTranslate(a), "Identifier", 1));
a++;
}
dialog->setCaption(tr("Add new keyboard...")); 
}


if (type == 3) 
{
while (a <= x->sectionCount("Screen"))
{
combo->insertItem(x->getValue("Screen", a, "Identifier", 1));
a++;
}
dialog->setCaption(tr("Add new screen...")); 
}






dialog->exec();

if (dialog->result() == QDialog::Accepted) { return combo->text(combo->currentItem()); }
if (dialog->result() == QDialog::Rejected) { return "NO"; }
}


