/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kxmain.h"

#include <qfile.h>
#include <qdir.h>


void kxMain :: Generate ()
{
int a = 0;
QString Output = KFileDialog::getSaveFileName(QDir::homeDirPath(), NULL, this, tr("Save output to..."));
if (Output == "") { return; }
QFile *outputFile = new QFile(Output);
if (!outputFile->open(IO_WriteOnly)) 
{
QMessageBox::critical(this, "kX Generator", "You don't have write access in this directory to save output file.");
return;
}
QString config = x->returnConfig();

config = config.replace("\n", "|");
config = config.simplifyWhiteSpace();
config = config.replace("|", "\n");
config = config.replace("\n ", "\n");
while (a < 1000)
{
config = config.replace("\n\n", "\n");
a++;
}


config = config.prepend("# This file was created by kX Generator 0.2 by Tomasz Salacinski\n"
                        "# BETA VERSION. Make backup copy of your original xorg.conf file!\n\n");


//Making it look better
config = config.replace("\nIdentifier ",    "\n   Identifier    ");
config = config.replace("\nDriver ",        "\n   Driver        ");
config = config.replace("\nInputDevice ",   "\n   InputDevice   ");
config = config.replace("\nScreen ",        "\n   Screen        ");
config = config.replace("\nRgbPath ",       "\n   RgbPath       ");
config = config.replace("\nFontPath ",      "\n   FontPath      ");
config = config.replace("\nModulePath ",    "\n   ModulePath    ");
config = config.replace("\nLoad ",          "\n   Load          ");
config = config.replace("\nOption ",        "\n   Option        ");
config = config.replace("\nGamma ",         "\n   Gamma         ");
config = config.replace("\nVendorName ",    "\n   VendorName    ");
config = config.replace("\nModelName ",     "\n   ModelName     ");
config = config.replace("\nHorizSync ",     "\n   HorizSync     ");
config = config.replace("\nVertRefresh ",   "\n   VertRefresh   ");
config = config.replace("\nDevice ",        "\n   Device        ");
config = config.replace("\nMonitor ",       "\n   Monitor       ");
config = config.replace("\nDefaultDepth ",  "\n   DefaultDepth ");
config = config.replace("\nSubSection ",    "\n        SubSection ");
config = config.replace("\nDepth ",         "\n           Depth ");
config = config.replace("\nModes ",         "\n           Modes ");
config = config.replace("\nEndSubSection",  "\n        EndSubSection");
config = config.replace("\nEndSection",    "\nEndSection\n\n");

a = 0;
QString num;
while (a < x->returnSecNum())
{
num = num.setNum(a, 10);
config = config.remove("# " + num + QChar(10));
a++;
}
a = 0;
while (a < 1000)
{
num = num.setNum(a, 10);
config = config.remove(num + "-");
a++;
}



if (groupBox17_2->isChecked())
{
if (commentCheckBox->isChecked()) 
{
config = config.append("# ").append(commentEdit->text()).append("\n");
}
config = config.append(textEdit1->text());

}


outputFile->writeBlock(config, config.length());

outputFile->close();

}